ComponentHandler (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.taglib.ComponentHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ComponentHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              org.richfaces.taglib.ComponentHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class ComponentHandler

extends com.sun.facelets.tag.MetaTagHandler

TODO Class description goes here.

Author:
  "Andrey Markavtsov"

Field Summary
`protected ForEachIterator` | `items` Iterator for columns's tag value attribute
`protected java.lang.Object` | `rawItems` Value attribute value

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ComponentHandler(com.sun.facelets.tag.jsf.ComponentConfig config)` TODO Description goes here.

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`protected void` | `applyNextHandler(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`createMetaRuleset, setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### items

    protected ForEachIterator items

  Iterator for columns's tag value attribute

### rawItems

    protected java.lang.Object rawItems

  Value attribute value

Constructor Detail

### ComponentHandler

    public ComponentHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  TODO Description goes here.

  Parameters:
    `config` -

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

### applyNextHandler

    protected void applyNextHandler(com.sun.facelets.FaceletContext ctx,
                                    javax.faces.component.UIComponent c)
                             throws java.io.IOException,
                                    javax.faces.FacesException,
                                    javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.